xfstest sanity checks on seek operations fails

Bug #1696049 reported by bugproxy on 2017-06-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Canonical Kernel Team
linux (Ubuntu)
High
Joseph Salisbury
Zesty
High
Joseph Salisbury
Artful
High
Joseph Salisbury

Bug Description

== Comment: #0 - Harish Sriram
Issue:
--------------------------
xfstest fails with sanity checks on seek operations

# uname -a
Linux ltc-tuleta12 4.10.0-21-generic #23~16.04.1-Ubuntu SMP Tue May 2 12:54:57 UTC 2017 ppc64le ppc64le ppc64le GNU/Linux

Steps to reproduce:
----------------------------------------
1. Create a loop device with xfs filesystem
2. git clone git://git.kernel.org/pub/scm/fs/xfs/xfstests-dev.git; cd xfstests-dev
3. make
4. Create a local.config for running with created loop device
5. Run xfstests-dev test : ./check tests/generic/285 or ./check tests/generic/436

The test 285 fails with following
...
...
07. Test file with unwritten extents, only have dirty pages
07.01 SEEK_HOLE expected 0 or 45056, got 0. succ
07.02 SEEK_HOLE expected 1 or 45056, got 1. succ
07.03 SEEK_DATA expected 40960 or 40960, got -1. FAIL
07.04 SEEK_DATA expected 40960 or 40960, got -1. FAIL

08. Test file with unwritten extents, only have unwritten pages
08.01 SEEK_HOLE expected 0 or 45056, got 0. succ
08.02 SEEK_HOLE expected 1 or 45056, got 1. succ
08.03 SEEK_DATA expected 40960 or 40960, got -1. FAIL
08.04 SEEK_DATA expected 40960 or 40960, got -1. FAIL

The test 436 fails with
...
...
14. Test file with unwritten extents, small hole after pagevec dirty pages
14.01 SEEK_HOLE expected 917504 or 4194304, got 3670016. FAIL
14.02 SEEK_HOLE expected 917504 or 4194304, got 3670016. FAIL
14.03 SEEK_HOLE expected 3670016 or 4194304, got 3670016. succ
14.04 SEEK_DATA expected 0 or 0, got 0. succ
14.05 SEEK_DATA expected 1 or 1, got 1. succ
14.06 SEEK_DATA expected 2752512 or 2752512, got 2752512. succ

seek sanity check failed!

Full log is attached.

== Comment: #6 - Harish Sriram

commit 5375023ae1266553a7baa0845e82917d8803f48c
Author: Jan Kara <email address hidden>
Date: Thu May 18 16:36:22 2017 -0700

    xfs: Fix missed holes in SEEK_HOLE implementation
    XFS SEEK_HOLE implementation could miss a hole in an unwritten extent as
    can be seen by the following command:

    xfs_io -c "falloc 0 256k" -c "pwrite 0 56k" -c "pwrite 128k 8k"
           -c "seek -h 0" file
    wrote 57344/57344 bytes at offset 0
    56 KiB, 14 ops; 0.0000 sec (49.312 MiB/sec and 12623.9856 ops/sec)
    wrote 8192/8192 bytes at offset 131072
    8 KiB, 2 ops; 0.0000 sec (70.383 MiB/sec and 18018.0180 ops/sec)
    Whence Result
    HOLE 139264

    Where we can see that hole at offset 56k was just ignored by SEEK_HOLE
    implementation. The bug is in xfs_find_get_desired_pgoff() which does
    not properly detect the case when pages are not contiguous.

    Fix the problem by properly detecting when found page has larger offset
    than expected.

    CC: <email address hidden>
    Fixes: d126d43f631f996daeee5006714fed914be32368
    Signed-off-by: Jan Kara <email address hidden>
    Reviewed-by: Brian Foster <email address hidden>
    Reviewed-by: Darrick J. Wong <email address hidden>
    Signed-off-by: Darrick J. Wong <email address hidden>

The above commit fixes the generic/436 test, but generic/285 still FAILS.

The generic/285 failure is reproducible on most P8/P9 systems.

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-154909 severity-high targetmilestone-inin16043
bugproxy (bugproxy) wrote : sosreport

Default Comment by Bridge

Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → xfstt (Ubuntu)
Frank Heimes (frank-heimes) wrote :

wrong package - xfstt is "X Font Server for TrueType fonts"

Manoj Iyer (manjo) on 2017-07-19
Changed in xfstt (Ubuntu):
importance: Undecided → High
Changed in ubuntu-power-systems:
importance: Undecided → High

------- Comment From <email address hidden> 2017-07-21 01:09 EDT-------
The same issue is reproducible on Ubuntu 17.10, 4.11 kernel.

Issue is not observed with 4.12.1-041201-generic kernel.

Thanks,
Harish

Changed in ubuntu-power-systems:
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)

Default Comment by Bridge

bugproxy (bugproxy) wrote : sosreport

Default Comment by Bridge

affects: xfstt (Ubuntu) → linux (Ubuntu)
Manoj Iyer (manjo) on 2017-07-24
Changed in linux (Ubuntu):
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Canonical Kernel Team (canonical-kernel-team)
tags: added: triage-a
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream stable kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.11 stable kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11.12/

Joseph Salisbury (jsalisbury) wrote :

Since this issue is fixed in 4.12.1-041201-generic, we should be able to perform a "Reverse" bisect to identify the exact commit that fixes the bug. We can then SRU it to any prior kernel versions that need the fix.

Changed in linux (Ubuntu):
status: New → In Progress
assignee: Canonical Kernel Team (canonical-kernel-team) → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Zesty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in ubuntu-power-systems:
status: New → In Progress

------- Comment From <email address hidden> 2017-08-16 05:25 EDT-------
(In reply to comment #15)
> Would it be possible for you to test the latest upstream stable kernel?
> Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the
> latest v4.11 stable kernel[0].
>
Tested with provided kernel and issue is resolved.

# ./check tests/generic/285
FSTYP -- xfs (non-debug)
PLATFORM -- Linux/ppc64le ltc-test-ci2 4.11.12-041112-generic
MKFS_OPTIONS -- -f -bsize=4096 /dev/loop1
MOUNT_OPTIONS -- /dev/loop1 /mnt/scratch

generic/285 0s ... 1s
Ran: generic/285
Passed all 1 tests

Thanks,
Harish

Joseph Salisbury (jsalisbury) wrote :

Can you also see if this issue is already fixed in the latest upstream stable 4.10 kernel? It is available from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.10.17/

Changed in linux (Ubuntu Artful):
status: In Progress → Fix Released
Manoj Iyer (manjo) on 2017-08-21
tags: added: triage-g
removed: triage-a
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-08-29 01:59 EDT-------
(In reply to comment #17)
> Can you also see if this issue is already fixed in the latest upstream
> stable 4.10 kernel? It is available from:
>
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.10.17/

Tested with provided kernel and issue is reproducible in the provided kernel.

# ./check tests/generic/285
FSTYP -- xfs (non-debug)
PLATFORM -- Linux/ppc64le alp4 4.10.17-041017-generic
MKFS_OPTIONS -- -f -bsize=4096 /dev/loop1
MOUNT_OPTIONS -- /dev/loop1 /mnt/scratch

generic/285 [failed, exit status 1] - output mismatch (see /root/xfstests-dev/results//generic/285.out.bad)
--- tests/generic/285.out 2017-08-14 00:15:39.818123286 -0500
+++ /root/xfstests-dev/results//generic/285.out.bad 2017-08-29 00:58:13.048000000 -0500
@@ -1 +1,3 @@
QA output created by 285
+seek sanity check failed!
+(see /root/xfstests-dev/results//generic/285.full for details)
...
(Run 'diff -u tests/generic/285.out /root/xfstests-dev/results//generic/285.out.bad' to see the entire diff)
Ran: generic/285
Failures: generic/285
Failed 1 of 1 tests

Thanks,
Harish

Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a reverse bisect to figure out which commit upstream fixes this regression. We need to figure out the last kernel that had this issue and the first kernel that did not.
Can you test the following kernels and report back? We are looking for the last kernel version that has the bug and the first that does not:

v4.11-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc1/
v4.11-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc4/
v4.11-rc7: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc8/

You don't have to test every kernel, just up until the first kernel that does not have this bug.

Thanks in advance!

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-04 02:40 EDT-------
(In reply to comment #21)
> Can you test the following kernels and report back? We are looking for the
> last kernel version that has the bug and the first that does not:
>
> v4.11-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc1/
> v4.11-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc4/
> v4.11-rc7: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc8/

Issue is observed on all the above kernels. But not on http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11.12/.

Thanks,
Harish

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-06 01:38 EDT-------
(In reply to comment #23)
> Can you test the following two kernels next:
>
> 4.12-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc1/
> 4.13-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13-rc1/

Fails with 4.12-rc1 and passes with 4.13-rc1.

Thanks, Harish.

Joseph Salisbury (jsalisbury) wrote :

It looks like the fix came in with one of the 4.12 release candidates, so we should narrow that version down further. Can you test the following:

v4.12-rc2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc2
v4.12-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc4
v4.12-rc6: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc6

You don't have to test every kernel, just up until the first kernel that does not have this bug.

Thanks in advance!

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-07 03:22 EDT-------
(In reply to comment #25)
> It looks like the fix came in with one of the 4.12 release candidates, so we
> should narrow that version down further. Can you test the following:
>
> v4.12-rc2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc2
> v4.12-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc4

Test fails with v4.12-rc2 but passes with 4.12-rc4.

Tested with v4.12-rc3 and the test passed, which makes v4.12-rc2 the last bad kernel.

Thanks,
Harish S

Joseph Salisbury (jsalisbury) wrote :

In the description, you mention commit 5375023ae12 fixes this bug for the generic/436 test, but generic/285 still FAILS. Commit 5375023ae12 was introduced in v4.12-rc3.

Have you been testing generic/285 in the testing requesting since comment #12?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-08 06:17 EDT-------
(In reply to comment #27)
>
> Have you been testing generic/285 in the testing requesting since comment
> #12?

Yes. I am testing generic/285 for any the above kernels. Not generic/436.

Harish

Default Comment by Bridge

Default Comment by Bridge

Joseph Salisbury (jsalisbury) wrote :

Before I start the bisect, can you test the kernel posted to:
http://kernel.ubuntu.com/~jsalisbury/lp1696049/

------- Comment From <email address hidden> 2017-09-12 01:23 EDT-------
(In reply to comment #30)
> Before I start the bisect, can you test the kernel posted to:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049/

Should I install this kernel, or is there a ppc specific kernel image that you can provide?

Thanks,
Harish S

Joseph Salisbury (jsalisbury) wrote :

Sorry, I'll build a ppc specific kernel and post it shortly.

Joseph Salisbury (jsalisbury) wrote :

Ok, there is now a ppc64 test kernel here:
http://kernel.ubuntu.com/~jsalisbury/lp1696049/

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-13 05:32 EDT-------
(In reply to comment #33)
> Ok, there is now a ppc64 test kernel here:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049/

Issue is observed with the above kernel.
# ./check tests/generic/285
FSTYP -- xfs (non-debug)
PLATFORM -- Linux/ppc64le alp4 4.10.0-33-generic
MKFS_OPTIONS -- -f -bsize=4096 /dev/loop1
MOUNT_OPTIONS -- /dev/loop1 /mnt/scratch

generic/285 3s ... [failed, exit status 1] - output mismatch (see /root/xfstests-dev/results//generic/285.out.bad)
--- tests/generic/285.out 2017-08-14 00:15:39.818123286 -0500
+++ /root/xfstests-dev/results//generic/285.out.bad 2017-09-13 04:31:02.596000000 -0500
@@ -1 +1,3 @@
QA output created by 285
+seek sanity check failed!
+(see /root/xfstests-dev/results//generic/285.full for details)
...
(Run 'diff -u tests/generic/285.out /root/xfstests-dev/results//generic/285.out.bad' to see the entire diff)
Ran: generic/285
Failures: generic/285
Failed 1 of 1 tests

Thanks,
Harish

Joseph Salisbury (jsalisbury) wrote :

Can you test the next kernel posted to:
http://kernel.ubuntu.com/~jsalisbury/lp1696049/

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-14 03:16 EDT-------
(In reply to comment #35)
> Can you test the next kernel posted to:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049/

Issue is observed with the above kernel as well.

Harish

Joseph Salisbury (jsalisbury) wrote :

I have one last test kernel we can try before bisecting. Can you test the next kernel posted to:
http://kernel.ubuntu.com/~jsalisbury/lp1696049/

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-19 00:25 EDT-------
(In reply to comment #37)
> http://kernel.ubuntu.com/~jsalisbury/lp1696049/

A ppc kernel would be applicable here. Thanks.

Harish S

Joseph Salisbury (jsalisbury) wrote :

A ppc kernel is now available at:
 http://kernel.ubuntu.com/~jsalisbury/lp1696049/

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-20 04:28 EDT-------
(In reply to comment #39)
> A ppc kernel is now available at:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049/

Issue is observed with the above kernel as well.

Harish

Joseph Salisbury (jsalisbury) wrote :

Ok, thanks for testing. The previous three kernels were to test if any of the following three commits were the fix:

a54fba8 xfs: Move handling of missing page into one place in xfs_find_get_desired_pgoff()
d7fd242 xfs: Fix off-by-in in loop termination in xfs_find_get_desired_pgoff()
5375023 xfs: Fix missed holes in SEEK_HOLE implementation

Your testing confirms they do not fix this bug in Xenial(4.4). We will probably have to perform a "Reverse" bisect between v4.12-rc2 and v4.12-rc3 to identify the commit that fixes this issue in -rc3. I'll post a test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

I started a "Reverse" kernel bisect between v4.12.rc2 final and v4.12-rc3. The kernel bisect will require testing of about 7-10 test kernels.

I built the first test kernel, up to the following commit:
6ce47829113772b1d6b9046f5eaf00e154f0f9de

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1696049

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-20 23:24 EDT-------
(In reply to comment #42)
> The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049
>
> Can you test that kernel and report back if it has the bug or not? I will
> build the next test kernel based on your test results.

Issue exists in this commit kernel.

Thanks,
Harish S

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
6741d51699ac9ef21f1fac14c63ecd31d3a7c278

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1696049

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-21 22:43 EDT-------
(In reply to comment #44)
> I built the next test kernel, up to the following commit:
> 6741d51699ac9ef21f1fac14c63ecd31d3a7c278
>
> The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049

The above kernel fixes the issue.

# ./check tests/generic/285
FSTYP -- xfs (non-debug)
PLATFORM -- Linux/ppc64le ltc-test-ci2 4.12.0-041200rc2-generic
MKFS_OPTIONS -- -f -bsize=4096 /dev/loop1
MOUNT_OPTIONS -- /dev/loop1 /mnt/scratch

generic/285 1s
Ran: generic/285
Passed all 1 tests

Thanks,
Harish

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
ae08ea976862dcd058af89fcddc2ef4790b4a2bd

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1696049

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-24 23:11 EDT-------
(In reply to comment #46)
> I built the next test kernel, up to the following commit:
> ae08ea976862dcd058af89fcddc2ef4790b4a2bd
>
> The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049
>

Test Fails with the above commit.

Thanks,
Harish

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
8aa6382907fa495e6b8b8184b53e36d142ffd8da

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1696049

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-26 00:56 EDT-------
(In reply to comment #48)
> The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049
>
> Can you test that kernel and report back if it has the bug or not? I will
> build the next test kernel based on your test results.

Test Fails with the above commit as well.

Thanks,
Harish

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
d7fd24257aa60316bf81093f7f909dc9475ae974

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1696049

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-26 21:24 EDT-------
(In reply to comment #50)
> I built the next test kernel, up to the following commit:
> d7fd24257aa60316bf81093f7f909dc9475ae974
>
> The test kernel can be downloaded from:

Can you build a ppc specific kernel?

Thanks,
Harish

Joseph Salisbury (jsalisbury) wrote :

Sorry, ppc kernels are there now.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-28 01:15 EDT-------
(In reply to comment #50)
> I built the next test kernel, up to the following commit:
> d7fd24257aa60316bf81093f7f909dc9475ae974
>
> The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049
>

Test passed with the given kernel.

Thanks,
Harish S

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
ea9a46e1c49251331dbfda19ced7114337966178

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1696049

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-09-29 02:18 EDT-------
(In reply to comment #54)
> I built the next test kernel, up to the following commit:
> ea9a46e1c49251331dbfda19ced7114337966178
>
> The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049
>
> Thanks in advance

Tests fails with above commit.

Harish

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
a4d768e702de224cc85e0c8eac9311763403b368

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1696049

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Hide

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-10-02 03:43 EDT-------
(In reply to comment #56)
> I built the next test kernel, up to the following commit:
> a4d768e702de224cc85e0c8eac9311763403b368
>
> The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049
>

Tests fails with above commit.

Harish

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
5375023ae1266553a7baa0845e82917d8803f48c

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1696049

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-10-03 00:27 EDT-------
(In reply to comment #59)
> I built the next test kernel, up to the following commit:
> 5375023ae1266553a7baa0845e82917d8803f48c
>
> The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049
>

Test passed with the above kernel.

Harish

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
8affebe16d79ebefb1d9d6d56a46dc89716f9453

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1696049

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-10-04 00:31 EDT-------
(In reply to comment #61)
> I built the next test kernel, up to the following commit:
> 8affebe16d79ebefb1d9d6d56a46dc89716f9453
>
> The test kernel can be downloaded from:
> http://kernel.ubuntu.com/~jsalisbury/lp1696049
>

Test passed with the given kernel.

Thanks,
Harish

Joseph Salisbury (jsalisbury) wrote :

The reverse bisect reported the following commit as the fix:

8affebe ("xfs: fix off-by-one on max nr_pages in xfs_find_get_desired_pgoff()")

I built a 17.04(Zesty) test kernel with a pick of this commit. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1696049/

Can you test this kernel and see if it resolves this bug?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-10-05 22:37 EDT-------
(In reply to comment #63)
> The reverse bisect reported the following commit as the fix:
>
> 8affebe ("xfs: fix off-by-one on max nr_pages in
> xfs_find_get_desired_pgoff()")
>
> I built a 17.04(Zesty) test kernel with a pick of this commit. The test
> kernel can be downloaded from:
>
> http://kernel.ubuntu.com/~jsalisbury/lp1696049/
>
> Can you test this kernel and see if it resolves this bug?

The kernel provided resolves the issue.

Thanks,
Harish

Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
Manoj Iyer (manjo) on 2017-10-20
Changed in ubuntu-power-systems:
status: In Progress → Fix Committed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-10-23 01:21 EDT-------
(In reply to comment #66)
> This bug is awaiting verification that the kernel in -proposed solves the
> problem. Please test the kernel and update this bug with the results. If the
> problem is solved, change the tag 'verification-needed-zesty' to
> 'verification-done-zesty'. If the problem still exists, change the tag
> 'verification-needed-zesty' to 'verification-failed-zesty'.
>
> If verification is not done by 5 working days from today, this fix will be
> dropped from the source code, and this bug will be closed.
>

Test has passed with the zesty-proposed.

# ./check tests/generic/285
FSTYP -- xfs (non-debug)
PLATFORM -- Linux/ppc64le alp10 4.10.0-38-generic
MKFS_OPTIONS -- -f -bsize=4096 /dev/loop1
MOUNT_OPTIONS -- /dev/loop1 /mnt/scratch

generic/285 0s
Ran: generic/285
Passed all 1 tests

Thanks,
Harish

tags: added: verification-done-zesty
removed: verification-needed-zesty
Launchpad Janitor (janitor) wrote :
Download full text (4.4 KiB)

This bug was fixed in the package linux - 4.10.0-38.42

---------------
linux (4.10.0-38.42) zesty; urgency=low

  * linux: 4.10.0-38.42 -proposed tracker (LP: #1722330)

  * Controller lockup detected on ProLiant DL380 Gen9 with P440 Controller
    (LP: #1720359)
    - scsi: hpsa: limit transfer length to 1MB

  * [Dell Docking IE][0bda:8153] Realtek USB Ethernet leads to system hang
    (LP: #1720977)
    - r8152: fix the list rx_done may be used without initialization

  * Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB (LP: #1700657)
    - mfd: intel-lpss: Add missing PCI ID for Intel Sunrise Point LPSS devices

  * Add installer support for Broadcom BCM573xx network drivers. (LP: #1720466)
    - d-i: Add bnxt_en to nic-modules.

  * CVE-2017-1000252
    - KVM: VMX: Do not BUG() on out-of-bounds guest IRQ

  * CVE-2017-10663
    - f2fs: sanity check checkpoint segno and blkoff

  * xfstest sanity checks on seek operations fails (LP: #1696049)
    - xfs: fix off-by-one on max nr_pages in xfs_find_get_desired_pgoff()

  * [P9, Power NV][ WSP][Ubuntu 16.04.03] : perf hw breakpoint command results
    in call traces and system goes for reboot. (LP: #1706033)
    - powerpc/64s: Handle data breakpoints in Radix mode

  * 5U84 - ses driver isn't binding right - cannot blink lights on 1 of the 2
    5u84 (LP: #1693369)
    - scsi: ses: do not add a device to an enclosure if enclosure_add_links()
      fails.

  * Vlun resize request could fail with cxlflash driver (LP: #1713575)
    - scsi: cxlflash: Fix vlun resize failure in the shrink path

  * More migrations with constant load (LP: #1713576)
    - sched/fair: Prefer sibiling only if local group is under-utilized

  * New PMU fixes for marked events. (LP: #1716491)
    - powerpc/perf: POWER9 PMU stops after idle workaround

  * CVE-2017-14340
    - xfs: XFS_IS_REALTIME_INODE() should be false if no rt device present

  * [Zesty][Yakkety] rtl8192e bug fixes (LP: #1698470)
    - staging: rtl8192e: rtl92e_fill_tx_desc fix write to mapped out memory.
    - staging: rtl8192e: fix 2 byte alignment of register BSSIDR.
    - staging: rtl8192e: rtl92e_get_eeprom_size Fix read size of EPROM_CMD.
    - staging: rtl8192e: GetTs Fix invalid TID 7 warning.

  * Stranded with ENODEV after mdadm --readonly (LP: #1706243)
    - md: MD_CLOSING needs to be cleared after called md_set_readonly or
      do_md_stop

  * multipath -ll is not showing the disks which are actually multipath
    (LP: #1718397)
    - fs: aio: fix the increment of aio-nr and counting against aio-max-nr

  * ETPS/2 Elantech Touchpad inconsistently detected (Gigabyte P57W laptop)
    (LP: #1594214)
    - Input: i8042 - add Gigabyte P57 to the keyboard reset table

  * CVE-2017-10911
    - xen-blkback: don't leak stack data via response ring

  * CVE-2017-11176
    - mqueue: fix a use-after-free in sys_mq_notify()

  * implement 'complain mode' in seccomp for developer mode with snaps
    (LP: #1567597)
    - Revert "UBUNTU: SAUCE: seccomp: log actions even when audit is disabled"
    - seccomp: Provide matching filter for introspection
    - seccomp: Sysctl to display available actions
    - seccomp: Operation for checking if an a...

Read more...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) on 2018-07-01
tags: added: targetmilestone-inin16044
removed: targetmilestone-inin16043
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers